package cn.iocoder.yudao.module.member.vo.scoreRule.extra;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
@ApiModel("管理后台 - 订单V值额外字段 VO")
public class ScoreRuleOrderVExtraVO {
    @ApiModelProperty(value = "是否首单（0是，1否）默认否", required = true)
    private Integer firstOrder = 1;
    @ApiModelProperty(value = "运输方式（1海运拼柜，3专线空运）字典有", required = true)
    private Integer transportType;
    @ApiModelProperty(value = "目的国，可多选，逗号拼接", required = true)
    private String targetCountry;
    @ApiModelProperty(value = "目的城市，可多选，逗号拼接", required = true)
    private String targetCity;
    @ApiModelProperty(value = "提货点，可多选，逗号拼接", required = true)
    private String receiveAddr;
    @ApiModelProperty(value = "提货点列表（第一级提货点，第二级国家，城市，仓库id）", required = true)
    private List<List<Long>> receiveAddrList;
    @ApiModelProperty(value = "渠道，运输方式选择海运时，渠道隐藏，可多选，逗号拼接")
    private List<Long> channel;
    @ApiModelProperty(value = "积分规则列表", required = true)
    private List<OrderVRule> orderVRule;
    @ApiModelProperty(value = "订单入口（1后台，2APP，3WEB）可多选，逗号拼", required = true)
    private String orderEntry;

    @Data
    public static class OrderVRule {
        @ApiModelProperty(value = "起始重量/体积")
        private Integer low;
        @ApiModelProperty(value = "截止重量/体积")
        private Integer high;
        @ApiModelProperty(value = "积分")
        private Integer score;
    }
}
